package com.xhpc.activity.service;

import com.xhpc.activity.domain.XhpcWorkUserDomain;
import com.xhpc.activity.vo.SysUserResetPasswordVo;

import java.util.List;
import java.util.Map;

public interface WorkUserService {

    Boolean insertUser(String userName, String phone);

    XhpcWorkUserDomain insertUserReturnDomain(String userName, String phone);

    List<Map<String, Object>> getDeptAndUserByMap(Map<String, Object> params);

    XhpcWorkUserDomain findByPk(Long pk);

    List<XhpcWorkUserDomain> findByOrderId(Long orderId);

    List<XhpcWorkUserDomain> getPage(Map<String, Object> params);

    List<Map<String, Object>> getList(Map<String, Object> params);

    List<Map<String, Object>> getTree(Map<String, Object> params);

    Boolean insertDomain(XhpcWorkUserDomain domain);

    Boolean updateDomain(XhpcWorkUserDomain domain);

    Boolean deleteDomain(Long userId);

    Boolean resetPassword(SysUserResetPasswordVo vo);

    Object updateDomainStatus(XhpcWorkUserDomain domain);

    String getPhoneListByUserIds(String userIds);

    List<XhpcWorkUserDomain> getUserListByDeptId(Long deptId);
}
